Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

go.mod file does not work with vgo #152

Closed
zombiezen opened this issue Apr 24, 2018 · 5 comments

Comments

@zombiezen
Copy link

commented Apr 24, 2018

Because gorilla's securecookie and context have malformed semantic version tags (see golang/go#24476), running vgo get github.com/gorilla/sessions fails with 404s for 1.1.0 on both dependencies.

@kisielk

This comment has been minimized.

Copy link
Member

commented Apr 24, 2018

I guess we could tag v1.1.1 of both of those projects to fix this

@zombiezen

This comment has been minimized.

Copy link
Author

commented Apr 24, 2018

That would work. securecookie already has one; context is the only one that needs it. Then go.mod in sessions would need to be bumped to 1.1.1 for both of them.

@markbates

This comment has been minimized.

Copy link

commented May 14, 2018

I'm also getting this issue. It would be great to get a new tag out there for everything. I'm trying to get vgo to build gobuffalo/buffalo and this is my current roadblock. Thanks in advance.

@elithrar

This comment has been minimized.

Copy link
Member

commented May 14, 2018

@markbates Let me look at this today.

elithrar added a commit that referenced this issue May 14, 2018
Fixes #152
@elithrar elithrar self-assigned this May 14, 2018
@elithrar elithrar added the build label May 14, 2018
elithrar added a commit that referenced this issue May 14, 2018
Fixes #152
@elithrar

This comment has been minimized.

Copy link
Member

commented May 14, 2018

Fixed!

Before:

➜  ~/.go/src/github.com/gorilla/sessions (master) ✔  vgo build
vgo: errors parsing go.mod:
/Users/matt/.go/src/github.com/gorilla/sessions/go.mod:4: invalid module version "v1.1": unknown revision "v1.1.0"
/Users/matt/.go/src/github.com/gorilla/sessions/go.mod:5: invalid module version "v1.1": unknown revision "v1.1.0"

After:

➜  ~/.go/src/github.com/gorilla/sessions (master) ✔  git pull
remote: Counting objects: 1, done.
remote: Total 1 (delta 0), reused 0 (delta 0), pack-reused 0
Unpacking objects: 100% (1/1), done.
From https://github.com/gorilla/sessions
   a2f2a3d..9ee0d62  master     -> origin/master
Updating a2f2a3d..9ee0d62
Fast-forward
 go.mod | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
➜  ~/.go/src/github.com/gorilla/sessions (master) ✔  vgo build
vgo: finding github.com/gorilla/securecookie v1.1.1
vgo: finding github.com/gorilla/context v1.1.1
vgo: downloading github.com/gorilla/context v1.1.1
vgo: downloading github.com/gorilla/securecookie v1.1.1
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
4 participants
You can’t perform that action at this time.